package com.example.lingobeemod;

import java.util.ArrayList;
import java.util.List;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

import android.util.Log;
import android.widget.Toast;

public class XMLParser extends DefaultHandler
{
	List<XMLnodes> list = null;
	StringBuilder builder;

	XMLnodes nodes = null;

	@Override
	public void startDocument() throws SAXException {

		/******* Create ArrayList To Store XmlValuesModel object ******/
		list = new ArrayList<XMLnodes>();
	}

	@Override
	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {

		/****  When New XML Node initiating to parse this function called *****/

		// Create StringBuilder object to store xml node value

		builder=new StringBuilder();
		if(localName.equals("row")){
			/********** Create Model Object  *********/
			nodes = new XMLnodes();
		}
	}

	public void endElement(String uri, String localName, String qName)
			throws SAXException {

		if(localName.equals("row")){
			/** finished reading a xml node, add it to the arraylist **/
			list.add(nodes);
		}
		else  if(localName.equalsIgnoreCase("id_user")){          	 
			nodes.setId_user(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("mug")){          	 
			nodes.setMug(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("id_group")){          	 
			nodes.setId_group(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("groupname")){          	 
			nodes.setGroupname(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("groupcat")){          	 
			nodes.setGroupcat(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("grouplang")){          	 
			nodes.setGrouplang(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("cat_version")){          	 
			nodes.setCat_version(builder.toString());
		}

		else  if(localName.equalsIgnoreCase("app_version")){          	 
			nodes.setApp_version(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("label")){          	 
			nodes.setLabel(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("firstname")){          	 
			nodes.setFirstname(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("lastname")){          	 
			nodes.setLastname(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("email")){          	 
			nodes.setEmail(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("phone")){          	 
			nodes.setPhone(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("about")){          	 
			nodes.setAbout(builder.toString());
		}

		else  if(localName.equalsIgnoreCase("id")){          	 
			nodes.setId(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("grouppass")){          	 
			nodes.setGrouppass(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("item_count")){          	 
			nodes.setItem_count(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("votes")){          	 
			nodes.setVotes(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("rating")){          	 
			nodes.setRating(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("id_word")){          	 
			nodes.setId_word(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("lang")){          	 
			nodes.setLang(builder.toString());
		}		
		else  if(localName.equalsIgnoreCase("word")){          	 
			nodes.setWord(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("wmodified")){          	 
			nodes.setWmodified(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("username")){          	 
			nodes.setUsername(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("lat")){          	 
			nodes.setLat(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("lon")){          	 
			nodes.setLon(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("cat")){          	 
			nodes.setCat(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("modified")){          	 
			nodes.setModified(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("description")){          	 
			nodes.setDescription(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("link")){          	 
			nodes.setLink(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("image")){          	 
			nodes.setImage(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("audio")){          	 
			nodes.setAudio(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("mystars")){          	 
			nodes.setMystars(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("fav")){          	 
			nodes.setFav(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("stars")){          	 
			nodes.setStars(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("id_item")){          	 
			nodes.setId_item(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("flag")){          	 
			nodes.setFlag(builder.toString());
		}
		else  if(localName.equalsIgnoreCase("message")){          	 
			nodes.setMessage(builder.toString());
		}		
	}

	public void characters(char[] ch, int start, int length)
			throws SAXException {
		/******  Read the characters and append them to the buffer  ******/
		String tempString = new String(ch, start, length);
		builder.append(tempString);
	}
}